Loading...
Searching...
No Matches
juce_MessageManager.h File Reference

## Classes

class | juce::MessageManager
| This class is in charge of the application's event-dispatch loop. More...
class | juce::MessageManager::MessageBase
| Internal class used as the base class for all message objects. More...
class | juce::MessageManager::Lock
| A lock you can use to lock the message manager. More...
class | juce::MessageManagerLock
| Used to make sure that the calling thread has exclusive access to the message loop. More...

## Namespaces

namespace | juce

## Macros

#define | JUCE_ASSERT_MESSAGE_MANAGER_IS_LOCKED jassert (juce::MessageManager::existsAndIsLockedByCurrentThread());
| This macro is used to catch unsafe use of functions which expect to only be called on the message thread, or when a MessageManagerLock is in place.
#define | JUCE_ASSERT_MESSAGE_THREAD jassert (juce::MessageManager::existsAndIsCurrentThread());
| This macro is used to catch unsafe use of functions which expect to only be called on the message thread.
#define | JUCE_ASSERT_MESSAGE_MANAGER_EXISTS jassert (juce::MessageManager::getInstanceWithoutCreating() != nullptr);
| This macro is used to catch unsafe use of functions which expect to not be called outside the lifetime of the MessageManager.

## Typedefs

using | juce::MessageCallbackFunction = void* (void* userData)
| See MessageManager::callFunctionOnMessageThread() for use of this function type.

## Macro Definition Documentation

## JUCE_ASSERT_MESSAGE_MANAGER_IS_LOCKED

#define JUCE_ASSERT_MESSAGE_MANAGER_IS_LOCKED jassert (juce::MessageManager::existsAndIsLockedByCurrentThread());

This macro is used to catch unsafe use of functions which expect to only be called on the message thread, or when a MessageManagerLock is in place.

It will also fail if you try to use the function before the message manager has been created, which could happen if you accidentally invoke it during a static constructor.

## JUCE_ASSERT_MESSAGE_THREAD

#define JUCE_ASSERT_MESSAGE_THREAD jassert (juce::MessageManager::existsAndIsCurrentThread());

This macro is used to catch unsafe use of functions which expect to only be called on the message thread.

It will also fail if you try to use the function before the message manager has been created, which could happen if you accidentally invoke it during a static constructor.

## JUCE_ASSERT_MESSAGE_MANAGER_EXISTS

#define JUCE_ASSERT_MESSAGE_MANAGER_EXISTS jassert (juce::MessageManager::getInstanceWithoutCreating() != nullptr);

This macro is used to catch unsafe use of functions which expect to not be called outside the lifetime of the MessageManager.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited